Skip to main content
GET
Get an organization

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow with PKCE (S256). Discovery: https://api.guild.ai/.well-known/oauth-authorization-server.

Path Parameters

org_id_or_name
string
required

Response

Successful response

id
string<uuid>
created_at
string<date-time>
updated_at
string<date-time>
creator_id
string<uuid>

The user who created this organization. Note that this does not give that user membership.

name
string

The unique name identifying this account.

Maximum string length: 100
cached_forks_count
integer

A cached version of the forks count. Might not be up to date.

cached_forks_public_count
integer

A cached version of the forks count for public agents. Might not be up to date.

cached_installs_count
integer

A cached version of the installs count. Might not be up to date.

cached_installs_public_count
integer

A cached version of the installs count for public agents. Might not be up to date.

cached_likes_count
integer

A cached version of the likes count. Might not be up to date.

cached_likes_public_count
integer

A cached version of the likes count for public agents. Might not be up to date.

avatar_url
string | null
Maximum string length: 255
banner_url
string | null
Maximum string length: 255
bio
string | null
Maximum string length: 255
closure_requested_at
string<date-time> | null

Set when an admin asks support to close the account, so a repeated request does not email support again.

closure_requested_by_id
string<uuid> | null
discord_url
string | null
Maximum string length: 255
email_domain
string | null

The email domain of the organization. Members will be automatically invited to this organization if they have an email with this domain.

Maximum string length: 100
full_name
string | null

The display name of the account.

Maximum string length: 100
github_url
string | null
Maximum string length: 255
linkedin_url
string | null
Maximum string length: 255
threads_url
string | null
Maximum string length: 255
website_url
string | null
Maximum string length: 255
x_url
string | null
Maximum string length: 255
youtube_url
string | null
Maximum string length: 255
member_count
any
viewer_membership_id
any
viewer_membership_public
any
viewer_role
enum<string> | null

Current viewer's role in the organization (null if not a member)

Available options:
ADMIN,
MEMBER
type
enum<string>

Account type, always "organization"

Available options:
organization